%define subversion 10
%define _optlevel 3
%define rpm 1

Name: menu
Version: 2.1.5
Release: ipl85mdk

Group: System/Base
Summary: Menu system
License: GPL

Source0: %name-%version-%subversion.tar.bz2
Source1: %name.txt
Source2: %name-icons.tar.bz2
Source3: %name.menu
Source4: %name-locales.tar.bz2
Source5: %name.method
Source6: %name.xinit
Source7: soundwrapper
Source8: menu-ru-20030916.po.bz2
Source9: menu-uk-20020916.po.bz2
Source10: menu-messages-WM.po.bz2
Source11: menu-firsttime
#
Source15: menu-prepare-menus
Source16: menu-translate_menus

# temporary need
Source100: menu-file2pot
Source101: menu-messages-add.pot

Patch0: menu-2.1.5-10-mdkconf.patch
Patch1: menu-2.1.5-10-i18n.patch
Patch2: menu-2.1.5-chmod.patch
Patch3: menu-2.1.5-gcc296.patch
Patch4: menu-2.1.5-rootmenu.patch
Patch5: menu-2.1.5-translate.patch
Patch6: menu-2.1.5-xvt.patch
Patch7: menu-2.1.5-mdkconf2.patch
Patch8: menu-2.1.5-c++fixes.patch
Patch9: menu-2.1.5-pstreams.patch
Patch100: menu-2.1.5-substr_func.patch
Patch101: menu-2.1.5-rpm_early_unlock_db.patch

Autoreq: yes, noshell
PreReq: sed, coreutils, grep
PreReq: menu-icons-png
Obsoletes: menu-icons-xpm

# Automatically added by buildreq on Mon Oct 29 2001
BuildRequires: gcc-c++ libpopt-devel librpm-devel libstdc++-devel zlib-devel

%description
The intent of this package is to streamline the menu's. For this purpose,
menu provides an "update-menus" command, that will read all installed menu
files (as provided by other packages in %_menudir), and run the frontents
for various window managers in %_sysconfdir/menu-methods to create startup files for
the window managers (or pdmenu).

The user and system admin can easily override the menu files on a by-user or
by-system bases.

%package icons-crystalmdk
Group: System/Base
Summary: Icons for menu system
Provides: menu-icons-png = %version-%release
Provides: menu-icons = %version-%release
#
%description icons-crystalmdk
Icons for menu system in png format

%prep
%setup -q -a4
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch100 -p1
%if %rpm
%patch101 -p1
%endif

#rm -f Makefile.am.orig ||:
#perl -pi -e 's/koi\!/koi8/g' messages/uk.po

bzcat %SOURCE8 >messages/ru.po
bzcat %SOURCE9 >messages/uk.po

%build
%if %rpm
%add_optflags -DRPM -I/usr/include/rpm
%endif
export CFLAGS="%optflags" CXXFLAGS="%optflags"
%configure
%make_build CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_sbindir
mkdir -p %buildroot/%_mandir/{man1,man5}
mkdir -p %buildroot/%_sysconfdir/{menu,menu-methods,firsttime.d}
mkdir -p %buildroot/%_menudir/default
mkdir -p %buildroot/%_iconsdir/mini
mkdir -p %buildroot/%_sysconfdir/X11/xinit.d
mkdir -p %buildroot/var/lib/menu


install -p -m755 %SOURCE11 %buildroot/%_sysconfdir/firsttime.d/menu
install -p -m755 %SOURCE15 %buildroot/%_sbindir/prepare-menus
install -p -m755 %SOURCE5 %buildroot/%_sysconfdir/menu-methods/%name
install -p -m644 %SOURCE3 %buildroot/%_menudir/menu
tar xjf %SOURCE2 -C %buildroot/%_iconsdir
rm -f %buildroot/%_iconsdir/{altlinux.png,mini/altlinux.png,large/altlinux.png}
ln -s ../artworks/icons/altlinux.png %buildroot/%_iconsdir/altlinux.png
ln -s ../../artworks/icons/mini/altlinux.png %buildroot/%_iconsdir/mini/altlinux.png
ln -s ../../artworks/icons/large/altlinux.png %buildroot/%_iconsdir/large/altlinux.png

%makeinstall

mv %buildroot/%_bindir/install-{,fvwmgen}menu %buildroot/%_sbindir
#cp `find default/* -prune -type f` %buildroot/%_menudir/default
install -p -m644 examples/{translate_menus,menu.h,menu.config} \
	%buildroot/%_sysconfdir/menu-methods
install -p -m644 %SOURCE16 %buildroot/%_sysconfdir/menu-methods/translate_menus
install -p -m755 scripts/{install-fvwmgenmenu.sh,su-to-root,wm-menu-config} \
	%buildroot/%_sbindir
install -p -m644 doc/*.1 %buildroot/%_mandir/man1
install -p -m644 doc/*.5 %buildroot/%_mandir/man5
install -p -m644 %SOURCE1 doc

install -p -m755 %SOURCE6 %buildroot/%_sysconfdir/X11/xinit.d/%name

pushd %buildroot/%_menudir/default
	for f in `fgrep -l  Apps/System/Admin *`;do
		rm -f "$f"
	done
popd

install -p -m755 %SOURCE7 %buildroot/%_bindir

%find_lang menu-messages

%post
if [ -r %_sysconfdir/sysconfig/i18n ]; then
    . %_sysconfdir/sysconfig/i18n
fi

[ -z "$LANG" ] && LANG=C
[ -z "$LANGUAGE" ] && LANGUAGE=C

if [ $LANGUAGE == all ]; then
    LANGUAGE=`echo %_datadir/locale/*/LC_MESSAGES/menu-messages.mo | sed -e 's@%_datadir/locale/@@g' -e 's@/LC_MESSAGES/menu-messages.mo@@g' -e 's@ @:@g'`
    LANGS_UTF=$LANGUAGE
fi

rm -f %_sysconfdir/menu-methods/lang.h

echo "function lang()=\"$LANG\"" > %_sysconfdir/menu-methods/lang.h
echo "function languages()=\"$LANGUAGE\"" >> %_sysconfdir/menu-methods/lang.h

%update_menus

%postun
%clean_menus

%files -f menu-messages.lang
%config(noreplace) %_sysconfdir/menu-methods/*
%config %_sysconfdir/menu
%config(noreplace) %_sysconfdir/X11/xinit.d/menu
%_sysconfdir/firsttime.d/*
%dir /var/lib/menu
%_bindir/*
%_menudir/*
%exclude %_menudir/menu
#%dir %_iconsdir/
#%dir %_iconsdir/large
#%dir %_iconsdir/mini
%_sbindir/*
%_mandir/man?/*
%doc doc/{README*,BUGS,menu.txt} AUTHORS debian/changelog examples

#%files icons-xpm
#%_menudir/menu-xpm
#%_iconsdir/*.xpm
#%_iconsdir/large/*.xpm
#%_iconsdir/mini/*.xpm

%files icons-crystalmdk
%_menudir/menu
%_iconsdir/*.png
%_iconsdir/large/*.png
%_iconsdir/mini/*.png

%changelog
* Wed Sep 17 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.5-ipl85mdk
- updated Russian translation
  thanks Vitaly Lipatov <lav at altlinux>

* Fri Aug 01 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.5-ipl84mdk
- fix symlink /usr/share/icons/altlinux.png

* Mon Jul 07 2003 Sergey V Turchin <zerg at altlinux dot org> 2.1.5-ipl83mdk
- fix Russian translation
- add hack for early rpm database unlock

* Wed May 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 2.1.5-ipl82mdk
- update Russian translation
- add firsttime script

* Thu Feb 13 2003 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl81mdk
- any fix russian translation

* Mon Dec 23 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl80mdk
- fix soundwrapper script

* Fri Dec 20 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl79mdk
- update Russian translation
- fix soundwrapper script
- add new function substr(string, positon, size)
  10x 2 ldv@altlinux.org

* Thu Nov 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl78mdk
- update Russian translation
- update other translations from MDK

* Fri Oct 18 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl77mdk
- fix dependencies

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl76mdk
- fix dependencies

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl75mdk
- add png icons

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl74mdk
- update Ukrainian translation
  10x 2 mike@altlinux.ru

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl73mdk
- update Patch0 from cooker

* Tue Sep 10 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl72mdk
- rebuild with gcc 3.2
- split icons to external package

* Tue Jun 04 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl71mdk
- update Russian translation
- add Edutainment section

* Mon Apr 15 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl70mdk
- update Russian translation

* Fri Apr 05 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl69mdk
- fix lost applying Patch6

* Tue Apr 02 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl68mdk
- fix Patch5 . Thnx Alexey Morozov <morozov@novosoft.ru>

* Tue Mar 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl67mdk
- update translations from cooker

* Mon Mar 04 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl66mdk
- fix execution of x-terminal-emulator (Patch6)

* Tue Feb 12 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl65mdk
- fix Patch5
- sync with cooker
- fix some translations

* Wed Jan 09 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl64mdk
- fix Patch5

* Tue Jan 08 2002 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl63mdk
- apply Patch6

* Sat Dec 29 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl62mdk
- add Source15 (prepare-menus)

* Wed Dec 19 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl61mdk
- fix translation

* Fri Dec 14 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl60mdk
- cleanup %%post
- fix translation
  thanx ldv, inger

* Fri Dec 14 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl59mdk
- improve %%post

* Thu Dec 13 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl58mdk
- fix %%post

* Tue Dec 11 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl57mdk
- move support list of languages from $RPM_INSTALL_LANG to $LANGUAGE
- fix languages list for KDE

* Thu Nov 08 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl56mdk
- fix translation of menu entries

* Thu Nov 08 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl55mdk
- sync sources with cooker

* Thu Nov 08 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl54mdk
- build with rpm4

* Wed Oct 31 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl53mdk
- fix %%post script

* Mon Oct 29 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl52mdk
- any fix in ru translation

* Mon Sep 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.5-ipl51mdk
- Updated translates

* Mon Sep 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.5-ipl50mdk
- Updated icons

* Sun Sep 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.5-ipl49mdk
- Updated translations
- Added menu.menu file from lates Mandrake Cooker

* Fri Jun 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.5-ipl48mdk
- fixed encode_translate function
- updated ru.po

* Mon Jun 18 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.5-ipl47mdk
- FIxed russian translation

* Wed Apr 04 2001 Sergey V Turchin <zerg@altlinux.ru> 2.1.5-ipl46mdk
- fixed $lang select for KDE by %post

* Thu Mar 16 2001 AEN <aen@logic.ru> 2.1.5-ipl45mdk
- ukrainian po fixed

* Wed Dec 06 2000 AEN <aen@logic.ru>
- rebuild w/o kdelibs-sound
* Thu Nov 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.5-ipl43mdk
- Added "Requires: rpm >= 3.0.6-ipl9mdk".
- RE adaptions.

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-43mdk
- Fix some gcc2.96 wheirdness.
- Fix compile for rpmv4.

* Wed Oct 18 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-42mdk
- Add a fonction for encoding self made menu entry into different charset

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-41mdk
- Recompile for the new libstdc++.

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-40mdk
- use "$@" instead of $@ in soundwrapper

* Tue Oct 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-39mdk
- use $@ instead of $* in soundwrapper.
- updated po from CVS.
- removed patch for typo in fr (it must be done in the menu-messages cvs module).

* Mon Oct  9 2000 Montel Laurent <lmontel@mandrakesoft.com> 2.1.5-38mdk
- fix typo in fr.po

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-37mdk
- make soundwrapper esd-aware

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-36mdk
- added support for RPM_INSTALL_LANG=all

* Thu Oct  5 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-35mdk
- Fix in encode menu fail is no po found

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-34mdk
- encode_translate get po charset to make conversion.

* Wed Oct  4 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-33mdk
- Add encode_tranlate() function to language.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-32mdk
- corrected prefix of locales.

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-31mdk
- updated po from CVS.
- merged patches.
- fork in background must be better handled.

* Fri Sep 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.5-30mdk
- add "soundwrapper" shell script to launch apps that require sound
  through the good wrapper

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-29mdk
- really include mo (buggy %%find_lang call).
- updated po from CVS.
- fork to background if -n is not used.

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.1.5-28mdk
- replace ICQ section by Instant Messaging.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-27mdk
- updated locales from CVS.

* Mon Sep 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-26mdk
- updated the translations.
- added logic to automatically run update-menus as user when a system menu has changed.

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 2.1.5-25mdk
- Reinsert /etc/menu directory for system menu (who's suck ????)

* Mon Aug 28 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1.5-24mdk
- Fix few bugs in menu entries

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-23mdk
- automatically added BuildRequires

* Mon Aug 07 2000 David BAUDENS <baudens@mandrasoft.com> 2.1.5-22mdk
- Fix macros & BM disaster (please be carreful that ALL FILES are included
  in the new package when you use macros and make BM)
- Add missing documentation

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.5-21mdk
- BM

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>  2.1.5-20mdk
- added postun scripts
- more macros
- Stefan van der Eijk <s.vandereijk@chello.nl> :
	* makeinstall macro
	* macroszifications

* Wed May 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-19mdk
- po updates for fr, lt, ro and sk.

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-18mdk
- new po.

* Sat May  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-17mdk
- new po.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-16mdk
- fix bad chmod on dir.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-15mdk
- pass environment to menu methods.
- catch endofline error to try to continue.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-14mdk
- new po.
- do a chmod 644 on new file to allow menu to work on security level 5.

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-13mdk
- added icons for 16, 32 and 48.

* Wed Apr 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-12mdk
- updated po.
- corrected typos in menu entries.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-11mdk
- new po.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-10mdk
- added locales.

* Tue Apr 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-9mdk
- exit if DURING_INSTALL is set.

* Thu Apr 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-8mdk
- added new icons.
- removed default menus in Apps.

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-7mdk
- added icons for menu sections.
- added order in sections.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-6mdk
- By default rootmenu are /Mandrake not Debian.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-5mdk
- 2.1.5-4 author release: added also_run feature.
- doc update.
- fix for toplevel entry.
- tanslate debian menu sections to mandrake ones.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-4mdk
- Fix default structure.

* Wed Feb 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.5-3mdk
- More mandrake adpatation in default config.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-2mdk
- added documentation.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-1mdk
- mandrake adaptation

# end of file
